/************************************************************/
/*     Zmaster_apps_apps_main.h                             */
/*     apps_main State transition model header file         */
/*     ZIPC Designer Version 1.2.0                          */
/************************************************************/
#ifndef ZHEADER_ZMASTER_APPS_APPS_MAIN_H
#define ZHEADER_ZMASTER_APPS_APPS_MAIN_H

/*State management variable access define*/
#define ZMASTER_APPS_APPS_MAIN ( 0U )
#define ZMASTER_APPS_APPS_MAINS0F ( 1U )
#define ZMASTER_APPS_APPS_MAINS1F ( 2U )
#define ZMASTER_APPS_APPS_MAINS0 ( 0U )
#define ZMASTER_APPS_APPS_CAR_STOPS0 ( 0U )
#define ZMASTER_APPS_APPS_CAR_STOPS1 ( 1U )
#define ZMASTER_APPS_APPS_CAR_STOPS2 ( 2U )
#define ZMASTER_APPS_APPS_CAR_STOPS3 ( 3U )
#define ZMASTER_APPS_APPS_CAR_STOPS4 ( 4U )
#define ZMASTER_APPS_APPS_CAR_STOPS5 ( 5U )
#define ZMASTER_APPS_APPS_MAINS1 ( 1U )
#define ZMASTER_APPS_APPS_CAR_RUNS0 ( 0U )
#define ZMASTER_APPS_APPS_CAR_RUNS1 ( 1U )
#define ZMASTER_APPS_APPS_MAINSTATENOMAX ( 3U )

/*End state define*/
#define ZMASTER_APPS_APPS_MAINEND ( 6U )
/*Terminate state define*/
#define ZMASTER_APPS_APPS_MAINTERMINATE ( ZMASTER_APPS_APPS_MAINEND + 1U )

/*State no define*/
#define ZMASTER_APPS_APPS_MAINS0STATENO ( 0U )
#define ZMASTER_APPS_APPS_CAR_STOPS0STATENO ( 0U )
#define ZMASTER_APPS_APPS_CAR_STOPS1STATENO ( 1U )
#define ZMASTER_APPS_APPS_CAR_STOPS2STATENO ( 2U )
#define ZMASTER_APPS_APPS_CAR_STOPS3STATENO ( 3U )
#define ZMASTER_APPS_APPS_CAR_STOPS4STATENO ( 4U )
#define ZMASTER_APPS_APPS_CAR_STOPS5STATENO ( 5U )
#define ZMASTER_APPS_APPS_MAINS1STATENO ( 1U )
#define ZMASTER_APPS_APPS_CAR_RUNS0STATENO ( 0U )
#define ZMASTER_APPS_APPS_CAR_RUNS1STATENO ( 1U )

/*State serial no define*/
#define ZMASTER_APPS_APPS_MAINS0STATESERIALNO ( 0U )
#define ZMASTER_APPS_APPS_CAR_STOPS0STATESERIALNO ( 1U )
#define ZMASTER_APPS_APPS_CAR_STOPS1STATESERIALNO ( 2U )
#define ZMASTER_APPS_APPS_CAR_STOPS2STATESERIALNO ( 3U )
#define ZMASTER_APPS_APPS_CAR_STOPS3STATESERIALNO ( 4U )
#define ZMASTER_APPS_APPS_CAR_STOPS4STATESERIALNO ( 5U )
#define ZMASTER_APPS_APPS_CAR_STOPS5STATESERIALNO ( 6U )
#define ZMASTER_APPS_APPS_MAINS1STATESERIALNO ( 7U )
#define ZMASTER_APPS_APPS_CAR_RUNS0STATESERIALNO ( 8U )
#define ZMASTER_APPS_APPS_CAR_RUNS1STATESERIALNO ( 9U )

/*Event no define*/
#define ZMASTER_APPS_APPS_MAINE0EVENTNO ( 0U )
#define ZMASTER_APPS_APPS_MAINE1EVENTNO ( 1U )
#define ZMASTER_APPS_APPS_CAR_STOPE0EVENTNO ( 0U )
#define ZMASTER_APPS_APPS_CAR_STOPE1EVENTNO ( 1U )
#define ZMASTER_APPS_APPS_CAR_STOPE2EVENTNO ( 2U )
#define ZMASTER_APPS_APPS_CAR_STOPE3EVENTNO ( 3U )
#define ZMASTER_APPS_APPS_CAR_STOPE4EVENTNO ( 4U )
#define ZMASTER_APPS_APPS_CAR_STOPE5EVENTNO ( 5U )
#define ZMASTER_APPS_APPS_CAR_STOPE6EVENTNO ( 6U )
#define ZMASTER_APPS_APPS_CAR_STOPE7EVENTNO ( 7U )
#define ZMASTER_APPS_APPS_CAR_STOPE8EVENTNO ( 8U )
#define ZMASTER_APPS_APPS_CAR_STOPE9EVENTNO ( 9U )
#define ZMASTER_APPS_APPS_CAR_STOPE10EVENTNO ( 10U )
#define ZMASTER_APPS_APPS_CAR_STOPE11EVENTNO ( 11U )
#define ZMASTER_APPS_APPS_CAR_STOPE12EVENTNO ( 12U )
#define ZMASTER_APPS_APPS_CAR_STOPE13EVENTNO ( 13U )
#define ZMASTER_APPS_APPS_CAR_STOPE14EVENTNO ( 14U )
#define ZMASTER_APPS_APPS_CAR_STOPE15EVENTNO ( 15U )
#define ZMASTER_APPS_APPS_CAR_STOPE16EVENTNO ( 16U )
#define ZMASTER_APPS_APPS_CAR_RUNE0EVENTNO ( 0U )
#define ZMASTER_APPS_APPS_CAR_RUNE1EVENTNO ( 1U )
#define ZMASTER_APPS_APPS_CAR_RUNE2EVENTNO ( 2U )
#define ZMASTER_APPS_APPS_CAR_RUNE3EVENTNO ( 3U )
#define ZMASTER_APPS_APPS_CAR_RUNE4EVENTNO ( 4U )

/*Event serial no define*/
#define ZMASTER_APPS_APPS_MAINE0EVENTSERIALNO ( 0U )
#define ZMASTER_APPS_APPS_MAINE1EVENTSERIALNO ( 1U )
#define ZMASTER_APPS_APPS_CAR_STOPE0EVENTNO ( 0U )
#define ZMASTER_APPS_APPS_CAR_STOPE1EVENTNO ( 1U )
#define ZMASTER_APPS_APPS_CAR_STOPE2EVENTNO ( 2U )
#define ZMASTER_APPS_APPS_CAR_STOPE3EVENTNO ( 3U )
#define ZMASTER_APPS_APPS_CAR_STOPE4EVENTNO ( 4U )
#define ZMASTER_APPS_APPS_CAR_STOPE5EVENTNO ( 5U )
#define ZMASTER_APPS_APPS_CAR_STOPE6EVENTNO ( 6U )
#define ZMASTER_APPS_APPS_CAR_STOPE7EVENTNO ( 7U )
#define ZMASTER_APPS_APPS_CAR_STOPE8EVENTNO ( 8U )
#define ZMASTER_APPS_APPS_CAR_STOPE9EVENTNO ( 9U )
#define ZMASTER_APPS_APPS_CAR_STOPE10EVENTNO ( 10U )
#define ZMASTER_APPS_APPS_CAR_STOPE11EVENTNO ( 11U )
#define ZMASTER_APPS_APPS_CAR_STOPE12EVENTNO ( 12U )
#define ZMASTER_APPS_APPS_CAR_STOPE13EVENTNO ( 13U )
#define ZMASTER_APPS_APPS_CAR_STOPE14EVENTNO ( 14U )
#define ZMASTER_APPS_APPS_CAR_STOPE15EVENTNO ( 15U )
#define ZMASTER_APPS_APPS_CAR_STOPE16EVENTNO ( 16U )
#define ZMASTER_APPS_APPS_CAR_RUNE0EVENTNO ( 0U )
#define ZMASTER_APPS_APPS_CAR_RUNE1EVENTNO ( 1U )
#define ZMASTER_APPS_APPS_CAR_RUNE2EVENTNO ( 2U )
#define ZMASTER_APPS_APPS_CAR_RUNE3EVENTNO ( 3U )
#define ZMASTER_APPS_APPS_CAR_RUNE4EVENTNO ( 4U )

/*Extern function*/
extern void stm_master_apl_event_call( void );
extern void stm_master_apl_initialize( void );
extern void Zmaster_apps_apps_mainTerminate( void );

#endif
